jQuery(function($){

	// Vars
	var header = $('header.fl-page-header-primary');

	// scroller class
	var body = $('body');
	$(window).scroll(function(){
		var sT = $(window).scrollTop();
		if (sT > 100) {
			body.addClass('small_header');
		}
		else {
			body.removeClass('small_header');
		}
	});

	// member form functions
	initMemberform();

	// Move search
	header.find('.fl-page-nav-search').each(function(){
		$(this).siblings('ul.nav').find('> li:first-child').after('<li class="menu-item menu-item-type-custom menu-item-search-wrap"></li>');
		$(this).siblings('ul.nav').find('> li.menu-item-search-wrap').append($(this));
	});

	// Shorten language changer names
	header.find('ul.nav li.wpml-ls-item > a > span').each(function(){
		var shortenedLang =  $(this).text().substr(0, 2);
		$(this).after('<span class="shortened_lang">' + shortenedLang + '</span>');
	});

	// Close navi on Esc
	document.addEventListener('keyup', function(event) {
		if (event.which == 27) {
			header.removeClass('navi_open');
		}
	});

	// header background image position
	var choHeaders = $('.cho-header .fl-row-content-wrap .fl-row-content');
	$(window).on('load ready resize', function(){
		choHeaders.each(function(){
			var innerW = ($(this).outerWidth() + parseInt($(this).css('padding-left')) + parseInt($(this).css('padding-right')));
			var windowW = $(window).outerWidth();
			var diff = (windowW - innerW);

			if (diff > 1) {
				var bgRight = diff / 2;
				$(this).parent().css('background-position', 'right ' + bgRight + 'px center');
			}
			else {
				$(this).parent().css('background-position', 'right center');
			}
		});
	});
	
	// Member subscription form
	/*
	var memberform = $('div.membersubscription-form');
	var memberformInputs = memberform.find('input[type="text"], input[type="email"], input[type="password"], input[type="number"], input[type="date"]');
	memberformInputs.attr('placeholder', '').attr('onkeyup', 'this.setAttribute("value", this.value)');
	memberformInputs.each(function(i, el){
		el.setAttribute('value', el.value);
	});
	memberformInputs.each(function(){
		var label = $(this).prevAll('label').first();
		var spanLabel = $(this).prevAll('span').first();
		if (label.length || spanLabel.length) {
			if (label.length) {
				$(this).after(label);
			}
			else {
				$(this).after('<label for="' + $(this).attr('id') + '">' + spanLabel.text() + '</label>');
				spanLabel.remove();
			}
		}
	});
	*/
	var secondDivider = $('.wpforms-page.wpforms-page-2 > div.wpforms-field-divider ~ .wpforms-field-divider');
	$(secondDivider.prevAll().get().reverse()).wrapAll('<div class="form_part"></div>');
	secondDivider.nextUntil('.wpforms-field-html').andSelf().wrapAll('<div class="form_part"></div>');

	/* ---------- Navigation functions ---------- */
	// Navigation toggle
	header.find('.fl-page-nav .navbar-toggle').remove();
	header.find('.fl-page-nav > div > ul.nav > li:first-child > a').click(function(e){
		header.toggleClass('navi_open');
		e.preventDefault();
	});

	// Wrap dropdown in div
	header.find('ul.nav > li > .sub-menu').wrap('<div class="sub-menu-wrap"></div>');

	// init iscroll
	var myScroll = new IScroll(header.find('ul.nav > li > .sub-menu-wrap')[0], {
		bounce: false,
		click: true
	}, 450);

	// Navigation dropdown close button
	header.find('ul.nav > li > .sub-menu-wrap').append('<span id="nav-dropdown-close" class="nav-dropdown-close" />');
	$('#nav-dropdown-close').click(function(){
		header.removeClass('navi_open');
	});
	/* ---------- END Navigation functions ---------- */

});

/* --- Functions --- */
function initMemberform() {
	var $ = jQuery;
	var memberform = $('.membersubscription-form');
	var form = $('form.wpforms-form');
	var els = form.find('input[type="text"], input[type="email"], input[type="tel"], input[type="url"], select, textarea');

	// paginate class
	memberform.find('button, input[type="button"]').on('click focus', function(){
		window.setInterval(function(){
			var activePage = form.find('.wpforms-page-indicator.circles > div.active');
			activePage.prevAll('div').addClass('active-before');
			activePage.nextAll('div').andSelf().removeClass('active-before');
		}, 400);
	});

	// floatlabels
	els.each(function(){
		var el = $(this);
		var activeClass = 'active';
		var addActiveClass = (el.val() ? ' ' + activeClass : '');
		var elParent = el.closest('div[class*="wpforms-field"]').first();

		elParent.addClass('floatlabel' + addActiveClass);

		// remove placeholders
		el.attr('placeholder', '').filter('select').find('.placeholder').text('');

		el.on('mouseover focus click', function(){
			elParent.addClass(activeClass);
		});
		el.on('mouseout blur', function(){
			if (!$(this).val() && !($(this).is(':focus'))) {
				elParent.removeClass(activeClass);
			}
		});

		// sublabels
		elParent.find('.wpforms-field-sublabel').addClass('wpforms-field-label').closest('.floatlabel').closest('.wpforms-field').find('> label').hide();
	
	});
}
